# Get statistics for multiple versions

Get statistics (deploymentMetadata, downloadCount, fileCount, scanStatus, scanID, size, artifactKey) for a list of versions by their UUIDs.

Endpoint: POST /har/api/v3/versions/stats
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

  - `org_identifier` (string)
    Unique identifier for the organization within the account.

Example: default or engineering_org

  - `project_identifier` (string)
    Unique identifier for the project within the organization.

Example: my_project or frontend_services

## Request fields (application/json):

  - `versionIds` (array, required)
    List of version UUIDs to fetch statistics for

## Response 200 fields (application/json):

  - `items` (array, required)
    List of version statistics

  - `items.deploymentMetadata` (object)

  - `items.deploymentMetadata.nonProdEnvCount` (integer, required)

  - `items.deploymentMetadata.prodEnvCount` (integer, required)

  - `items.digestCount` (integer)
    Number of digests/manifests in the version (for OCI artifacts with manifest lists)

  - `items.downloadCount` (integer)
    Total download count for the version

  - `items.fileCount` (integer)
    Number of files in the version

  - `items.firewallMode` (string)
    Firewall mode
    Enum: "ENABLED", "QUARANTINE", "ALLOW"

  - `items.id` (string, required)
    Version UUID

  - `items.lastScannedAt` (string)

  - `items.scanID` (string)
    Scan ID for the version

  - `items.scanStatus` (string)
    Status of an artifact scan evaluation.
    Enum: "ALLOWED", "BLOCKED", "WARN", "UNKNOWN"

  - `items.size` (string)
    Total size of the version (human-readable format)

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


